Bug 1563913 (CVE-2018-3846) - CVE-2018-3846 cfitsio: Unsafe use of sprintf() can allow a remote unauthenticated attacker to execute arbitrary code
Summary: CVE-2018-3846 cfitsio: Unsafe use of sprintf() can allow a remote unauthentic...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-3846
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1563916 1563914 1563915 1563917
Blocks: 1563918
TreeView+ depends on / blocked
 
Reported: 2018-04-05 03:42 UTC by Sam Fowler
Modified: 2021-02-17 00:33 UTC (History)
10 users (show)

Fixed In Version: cfitsio 3.43
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-20 21:17:17 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-04-05 03:42:17 UTC
CFITSIO before version 3.43 unsafely uses sprintf() in multiple files without checking input size. A remote unauthenticated attacker could exploit this to execute arbitrary code.


External References:

https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/docs/changes2.txt


Additional References:

https://github.com/astropy/astropy/pull/7274

Comment 1 Sam Fowler 2018-04-05 03:42:46 UTC
Created cfitsio tracking bugs for this issue:

Affects: fedora-all [bug 1563915]
Affects: epel-all [bug 1563916]

Comment 3 Jason Shepherd 2018-04-06 06:32:43 UTC
Openshift Enterprise 2 is out of support scope. Marking it as wont fix.

ref: https://access.redhat.com/support/policy/updates/openshift

Comment 4 Salvatore Bonaccorso 2018-04-16 20:39:57 UTC
The CVE-2018-1000166 is possibly a duplicate of CVE-2018-3846, CVE-2018-3848 and CVE-2018-3849.

Comment 5 Sam Fowler 2018-04-17 04:18:15 UTC
(In reply to Salvatore Bonaccorso from comment #4)
> The CVE-2018-1000166 is possibly a duplicate of CVE-2018-3846, CVE-2018-3848
> and CVE-2018-3849.

Looks like you are correct. Changed CVE-2018-1000166 to CVE-2018-3846 and filed separate BZ for CVE-2018-3848 and CVE-2018-3849.

Comment 6 Product Security DevOps Team 2020-05-20 21:17:17 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-3846


Note You need to log in before you can comment on or make changes to this bug.